﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HierarchicalObjectStructure.Nested
{
    public partial class Patient
    {
        public PatientDemographics Demographics { get; set; }
        public partial class PatientDemographics
        {
            public string PatientName { get; set; }

            public PatientAddress Address { get; set; }
            
            public partial class PatientAddress
            {
                public HomeAddress PatientHomeAddress { get; set; }
                public CurrentAddress PatientCurrentAddress { get; set; }
                
                public partial class HomeAddress
                {
                    public string Address { get; set; }
                }
                public partial class CurrentAddress
                {
                    public string Address { get; set; }
                }
            }
        }
    }
}
