﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HierarchicalObjectStructure.NestedDependency.Util;

namespace HierarchicalObjectStructure.NestedDependency
{
    public class PatientController
    {
        public void Save()
        {
            IPatient patient = Bootstrapper.Container.GetInstance<IPatient>();
            patient.Demographics.Address.PatientCurrentAddress.Address = "Patients current address";
            patient.Demographics.Address.PatientHomeAddress.Address = "Patients home address";
            
            //Save data here
        }

        public IPatient GetFromDb()
        {
            IPatient patient = Bootstrapper.Container.GetInstance<IPatient>();
            patient.Demographics.Address.PatientCurrentAddress.Address = "Patients current address from DB";
            patient.Demographics.Address.PatientHomeAddress.Address = "Patients home address from DB";
            return patient;
        }

        public void Update()
        {
            IPatient patient = GetFromDb();
            patient.Demographics.Address.PatientCurrentAddress.Address = "Updated patients current address";
            
            //Save data here
        }

    }
}
