﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using HierarchicalObjectStructure.NamespaceDependency.PatientNs;
using HierarchicalObjectStructure.NamespaceDependency.PatientNs.PatientDemographicsNs;
using HierarchicalObjectStructure.NamespaceDependency.PatientNs.PatientDemographicsNs.PatientAddressNs;
using HierarchicalObjectStructure.NamespaceDependency.Util;

namespace HierarchicalObjectStructure.NamespaceDependency
{
    public class PatientController
    {
        public void Save()
        {
            IPatient patient = Bootstrapper.Container.GetInstance<IPatient>();
            patient.Demographics.Address.PatientCurrentAddress.Address = "Patients current address";
            
            patient.Demographics.Address.PatientHomeAddress.Address = "Patients home address";
            
            //Save data here
        }

        public IPatient Get()
        {
            IPatient patient = Bootstrapper.Container.GetInstance<IPatient>();
            patient.Demographics.Address.PatientCurrentAddress.Address = "Patients current address from DB";
            patient.Demographics.Address.PatientHomeAddress.Address = "Patients home address from DB";
            return patient;
        }

        public string GetCurrentAddress()
        {
            IPatient patient = Get();
            return patient.Demographics.Address.PatientCurrentAddress.Address;
        }

        public void Update()
        {
            IPatient patient = Get();
            patient.Demographics.Address.PatientCurrentAddress.Address = "Updated patients current address";
            
            //Save data here
        }

    }
}
