﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace HierarchicalObjectStructure.Nested
{
    public class PatientController
    {
        public void Save()
        {
            Patient patient = new Patient();
            patient.Demographics = new Patient.PatientDemographics();
            patient.Demographics.Address = new Patient.PatientDemographics.PatientAddress();
            patient.Demographics.Address.PatientCurrentAddress = 
                new Patient.PatientDemographics.PatientAddress.CurrentAddress();
            patient.Demographics.Address.PatientCurrentAddress.Address = 
                "current address";

            patient.Demographics.Address.PatientHomeAddress = 
                new Patient.PatientDemographics.PatientAddress.HomeAddress();
            patient.Demographics.Address.PatientHomeAddress.Address = 
                "home address";

            //Save data here

        }

        public Patient Get()
        {
            Patient patient = new Patient();
            patient.Demographics = new Patient.PatientDemographics();
            patient.Demographics.Address = new Patient.PatientDemographics.PatientAddress();
            patient.Demographics.Address.PatientCurrentAddress =
                new Patient.PatientDemographics.PatientAddress.CurrentAddress();
            patient.Demographics.Address.PatientCurrentAddress.Address =
                "current address";

            patient.Demographics.Address.PatientHomeAddress =
                new Patient.PatientDemographics.PatientAddress.HomeAddress();
            patient.Demographics.Address.PatientHomeAddress.Address =
                "home address";
            return patient;
        }

        public string GetCurrentAddress()
        {
            string result = string.Empty;

            Patient patient = Get();
            if (patient != null &&
                patient.Demographics != null &&
                patient.Demographics.Address != null &&
                patient.Demographics.Address.PatientCurrentAddress != null)
                result = patient.Demographics.Address.PatientCurrentAddress.Address;
            
            return result;
        }
    }
}
